//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//
#include "cbase.h"
#include "hl2wars/c_rts_playerlocaldata.h"
#include "dt_recv.h"

// memdbgon must be the last include file in a .cpp file!!!
#include "tier0/memdbgon.h"

BEGIN_RECV_TABLE_NOBASE( C_HLWPlayerLocalData, DT_HLWLocal )
	RecvPropInt     (RECVINFO(m_iLevelRTS)),
	RecvPropInt     (RECVINFO(m_iNumSelected)),
	RecvPropArray3( RECVINFO_ARRAY(m_hSelectedUnits), RecvPropEHandle( RECVINFO( m_hSelectedUnits[0] ) ) ),
	RecvPropInt     (RECVINFO(m_iResources)),
	RecvPropInt     (RECVINFO(m_iSelectionType)),
	RecvPropEHandle	( RECVINFO( m_hSelected)),
	RecvPropInt     (RECVINFO(m_iHighLightedUnit)),
	RecvPropInt     (RECVINFO(m_iSelectedAbility)),
	RecvPropInt     (RECVINFO(m_bShowProgressQueue)),
	RecvPropInt     (RECVINFO(m_nBehaviorButtonsState)),
END_RECV_TABLE()

BEGIN_PREDICTION_DATA_NO_BASE( C_HLWPlayerLocalData )
	DEFINE_PRED_FIELD( m_iLevelRTS, FIELD_INTEGER, FTYPEDESC_INSENDTABLE ), 
	DEFINE_PRED_FIELD( m_iNumSelected, FIELD_INTEGER, FTYPEDESC_INSENDTABLE ),
	DEFINE_PRED_ARRAY( m_hSelectedUnits, FIELD_EHANDLE, MAXSELECTED, FTYPEDESC_INSENDTABLE ),
	DEFINE_PRED_FIELD( m_iResources, FIELD_INTEGER, FTYPEDESC_INSENDTABLE ),
	DEFINE_PRED_FIELD( m_iSelectionType, FIELD_INTEGER, FTYPEDESC_INSENDTABLE ),
	DEFINE_PRED_FIELD( m_hSelected, FIELD_EHANDLE, FTYPEDESC_INSENDTABLE ),
	DEFINE_PRED_FIELD( m_iHighLightedUnit, FIELD_INTEGER, FTYPEDESC_INSENDTABLE ),
	DEFINE_PRED_FIELD( m_iSelectedAbility, FIELD_INTEGER, FTYPEDESC_INSENDTABLE ),
	DEFINE_PRED_FIELD( m_bShowProgressQueue, FIELD_BOOLEAN, FTYPEDESC_INSENDTABLE ),
	DEFINE_PRED_FIELD( m_nBehaviorButtonsState, FIELD_INTEGER, FTYPEDESC_INSENDTABLE ),
END_PREDICTION_DATA()

C_HLWPlayerLocalData::C_HLWPlayerLocalData()
{

}


